/**
 * ParticipationIndirectTarget.java
 *
 * File generated from the medication::ParticipationIndirectTarget uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationIndirectTarget.
 *
 * 
 */

@XmlType(name = "ParticipationIndirectTarget")
@XmlEnum
@XmlRootElement(name = "ParticipationIndirectTarget")
public enum ParticipationIndirectTarget {
	@XmlEnumValue("IND")
	IND("IND"),
	@XmlEnumValue("BEN")
	BEN("BEN"),
	@XmlEnumValue("COV")
	COV("COV"),
	@XmlEnumValue("HLD")
	HLD("HLD"),
	@XmlEnumValue("RCT")
	RCT("RCT"),
	@XmlEnumValue("RCV")
	RCV("RCV");
	
	private final String value;

    ParticipationIndirectTarget(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ParticipationIndirectTarget fromValue(String v) {
        for (ParticipationIndirectTarget c: ParticipationIndirectTarget.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}